%define name draklive-install
%define version 1.45
%define release 12
%define iconname ROSAOne-install-icon.png
%define xsetup_level 60

Summary:	Live installer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Source1:        60-dracut-isobuild.conf
Source2:	efi-remount.sh
Source3:	remove-live-user.sh
Patch1:         error-processing-fix.patch
Patch2:         support-file-swap.patch
Patch3:         fixed-wait-dialog-not-hidden.patch
Patch4:         bootloader-hdd-list-improved.patch
Patch5:         grub-install-fixes.patch
Patch6:         support-efi-and-gpt.patch
Patch7:         exclude-live-root-from-bootloader.patch
Patch8:         support-crypted-system-partitions.patch
Patch9:         startup-center-window.patch
Patch10:        bootloader-remember-selected-entry.patch
License:	GPL
Group:		System/Configuration/Other
Url:		https://abf.rosalinux.ru/soft/draklive-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:	drakxtools >= 14.47-12
Requires:	drakx-installer-matchbox
BuildRequires:	intltool

%description
This tool allows to install Rosa from a running live system.

%prep
%setup -q
%apply_patches

%build
%make

%install
rm -rf %buildroot

%makeinstall

for product in one flash; do
  install -D -m 0755 %name.desktop %buildroot%_datadir/mdk/desktop/$product/%name.desktop
done
install -D -m 0755 %name %buildroot/%_sbindir/%name
install -m 0755 %{name}-lock-storage %buildroot/%_sbindir/

mkdir -p %buildroot%_bindir
ln -sf consolehelper %buildroot%_bindir/%{name}-lock-storage
mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat > %{buildroot}%{_sysconfdir}/pam.d/%{name}-lock-storage  <<EOF
#%PAM-1.0
auth		include		config-util-user
account		include		config-util-user
session		include		config-util-user
EOF

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-lock-storage <<EOF
USER=<user>
PROGRAM=/usr/sbin/%{name}-lock-storage
FALLBACK=false
SESSION=true
EOF

mkdir -p %buildroot{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/{en,ru},%_datadir/libDrakX/advert/{en,ru},%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48}/apps}
install data/icons/IC-installone-48.png %buildroot%_liconsdir/%iconname
install data/icons/IC-installone-32.png %buildroot%_iconsdir/%iconname
install data/icons/IC-installone-16.png %buildroot%_miconsdir/%iconname
cp -l %buildroot%_liconsdir/%iconname %buildroot%_datadir/icons/hicolor/48x48/apps/%iconname
cp -l %buildroot%_liconsdir/%iconname %buildroot%_datadir/icons/hicolor/32x32/apps/%iconname
cp -l %buildroot%_liconsdir/%iconname %buildroot%_datadir/icons/hicolor/16x16/apps/%iconname

#install advert to properties directores
install data/icons/en/ROSAOne-*.png %buildroot%_datadir/libDrakX/pixmaps/en/
install data/advert/en/* %buildroot%_datadir/libDrakX/advert/en/
install data/icons/ru/ROSAOne-*.png %buildroot%_datadir/libDrakX/pixmaps/ru/
install data/advert/ru/* %buildroot%_datadir/libDrakX/advert/ru/

install rosa-draklive-install.desktop %buildroot%_datadir/applications/
install -D -m 0755 %{name}.xsetup %buildroot%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup
install -m 0755 clean_live_hds %buildroot%_sbindir/clean_live_hds
mkdir -p %buildroot%_sysconfdir/%{name}.d/isobuild/
install -m 0644 -D %{SOURCE1} %buildroot%_sysconfdir/%{name}.d/isobuild/60-dracut-isobuild.conf
install -m 0755 -D %{SOURCE2} %buildroot%_sysconfdir/%{name}.d/run.d/efi-remount.sh
install -m 0755 -D %{SOURCE3} %buildroot%_sysconfdir/%{name}.d/run.d/remove-live-user.sh

%find_lang %name

%files -f %name.lang
%defattr(-,root,root)
%_sbindir/%name
%_sbindir/%{name}-lock-storage
%_bindir/%{name}-lock-storage
%{_sysconfdir}/pam.d/%{name}-lock-storage
%{_sysconfdir}/security/console.apps/%{name}-lock-storage
%_datadir/mdk/desktop/*/*.desktop
%_datadir/applications/rosa-draklive-install.desktop
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname
%_datadir/icons/hicolor/*/apps/%iconname
%_datadir/libDrakX/pixmaps/en/ROSAOne-*.png
%_datadir/libDrakX/pixmaps/ru/ROSAOne-*.png
%_datadir/libDrakX/advert/*
%_sysconfdir/X11/xsetup.d/??%{name}.xsetup
%dir %_sysconfdir/%{name}.d
%dir %_sysconfdir/%{name}.d/sysconfig
%dir %_sysconfdir/%{name}.d/isobuild/
%_sysconfdir/%{name}.d/isobuild/*
%_sysconfdir/%{name}.d/run.d/*
%{_sbindir}/clean_live_hds

%changelog
* Wed Aug 13 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-12
+ Revision: baf2610
- Added bootloader option to save last booted entry

* Thu Jul 31 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.45-11
+ Revision: 5f5fd69
- release up

* Thu Jul 31 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.45-10
+ Revision: 49ee153
- minor fix

* Thu Jul 10 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-10
+ Revision: af59f70
- Minor code refactoring

* Wed Jul 02 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-9
+ Revision: 0eaad39
- Moving installer window at the center of screen on startup

* Mon Jun 30 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-8
+ Revision: 73015cd
- Installer improvements
- 1. Excluded Live root disk from installing bootloader (drakxtools >=14.47-10 required).
- 2. Supported crypted system partitions.

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.45-7
+ Revision: 5a9ff58
- MassBuild#440: Increase release tag

* Fri Jun 06 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-6
+ Revision: 63e46d1
- Grub installaion for EFI boot and GPT disks
- 1. In EFI boot mode, EFI version of Grub2 is now used; list of boot devices contains EFI partitions.
- 2. In BIOS boot mode, the list of boot devices now excludes those GPT disks which have no BIOS Boot Partition.

* Fri May 23 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-5
+ Revision: c21e03b
- Fixed grub installation

* Tue May 20 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.45-4
+ Revision: ba13543
- release up, uncomment udevdir

* Tue May 20 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.45-3
+ Revision: 3de5f92
- Updated 60-dracut-isobuild.conf

* Wed May 14 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-3
+ Revision: ec3f6b3
- Improved HDD info displaying in bootloader dialog

* Wed Apr 23 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.45-2
+ Revision: e09b484
- Fixed: wait dialog was not closed before showing final message

* Mon Apr 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.45-1
+ Revision: b6bc7ea
- version up, changed tarballs

* Mon Apr 21 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.44-5
+ Revision: 5fd1c74
- updated artwork

* Tue Mar 25 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.44-4
+ Revision: 64e60d8
- Added support for file swap

* Thu Mar 20 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.44-3
+ Revision: 0a539e0
- Fixing the previous fix

* Thu Mar 20 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.44-2
+ Revision: 5dbc07c
- Fixed error processing when starting firstboot

* Wed Mar 19 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.44-1
+ Revision: 72aacb1
- Added firstboot stage to the main installer (after Grub)
- Also re-fixed the bug with mounted partitions (the previous fix caused installation to fail).

* Fri Mar 07 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.43-2
+ Revision: eac11ff
- Fixed: installation failed if partition was mounted by user

* Tue Mar 04 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.43-1
+ Revision: 0456dbb
- Implemented autoinstallation support
- 1. If the file /etc/sysconfig/autoinstall is present, draklive-install will perform all the steps automatically (parameters normally selected by user will be taken from this file). Requires drakxtools-14.45.

* Mon Feb 10 2014 akdengi <kazancas@mandriva.ru> 1.42-1
+ Revision: 2ff810a
- merge with red3

* Sat Feb 08 2014 akdengi <kazancas@mandriva.ru> 1.42-1
+ Revision: 46eff66
- delete remount_esp_on_efi

* Sat Feb 08 2014 akdengi <kazancas@mandriva.ru> 1.42-1
+ Revision: 085639b
- change remount efi script. 1.42

* Fri Feb 07 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.41-4
+ Revision: 93fabf6
- omit drivers

* Fri Feb 07 2014 akdengi <alexander.kazancev@rosalab.ru> 1.41-3
+ Revision: 383bdf9
- fix

* Fri Feb 07 2014 akdengi <alexander.kazancev@rosalab.ru> 1.41-3
+ Revision: f5b6ba0
- fix efi-remount

* Fri Feb 07 2014 akdengi <alexander.kazancev@rosalab.ru> 1.41-3
+ Revision: 2b14be3
- add run.d script

* Fri Feb 07 2014 akdengi <alexander.kazancev@rosalab.ru> 1.41-2
+ Revision: be6914a
- fix tarball

* Wed Feb 05 2014 akdengi <kazancas@mandriva.ru> 1.41-1
+ Revision: fbcacee
- add to files remount_esp_on_efi and drop patch0

* Wed Feb 05 2014 akdengi <alexander.kazancev@rosalab.ru> 1.41-1
+ Revision: 45e6958
- Update to 1.41

* Tue Feb 04 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40-14
+ Revision: bed979a
- Updated draklive-install.spec

* Tue Feb 04 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40-13
+ Revision: d0544d8
- Updated draklive-install-1.40.EFI.patch

* Tue Feb 04 2014 Alex Burmashev <alex.burmashev@gmail.com> 1.40-13
+ Revision: c973558
- added EFI patch

* Mon Dec 30 2013 Alex Burmashev <alex.burmashev@gmail.com> 1.41-13
+ Revision: 1829238
- release up

* Mon Dec 30 2013 Alex Burmashev <alex.burmashev@gmail.com> 1.41-12
+ Revision: 6f5a1da
- changed english artwork back to original

* Wed Dec 25 2013 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.40-12
+ Revision: 9db0ed3
- Fixed installing Grub error on non-EFI systems

* Tue Dec 24 2013 akdengi <kazancas@mandriva.ru> 1.40-11
+ Revision: 3dc94d8
- Drop patches. Use right tarball

* Fri Dec 20 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40-10
+ Revision: 33b656c
- added asus-nb-wmi to config

* Fri Dec 20 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40-10
+ Revision: 8b2b5ff
- release up

* Wed Dec 18 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40-9
+ Revision: a22f0fa
- do not omit radeon and nouveau

* Wed Dec 18 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.40-9
+ Revision: 027e045
- release up


