#!/bin/sh
#For EFI system try find and mount EFI partition. We do not disable automount efi, than simple mount esp 
#partition to /mnt/install/boot/efi

#See for EFI present
if [ -d /sys/firmware/efi ]; then

# Try find EFI by gdisk CODE EF00
EFI_PART="/dev/sda$(gdisk -l /dev/sda | grep EF00 | awk '{print $1}')"
EFI_UUID=$(blkid -s PARTUUID $EFI_PART | sed 's/.*="//;s/".*//')
EFI_BY_DEV='by-partuuid'

 if [ -z $EFI_UUID ]; then
	EFI_UUID=$(blkid -s UUID $EFI_PART | sed 's/.*="//;s/".*//')
	EFI_BY_DEV='by-uuid'
 fi

#Try determine by PARTLABEL=EFI system partition and UUID
EFI_UUID=$(lsblk -Po UUID,PARTUUID,PARTLABEL,FSTYPE | grep vfat | grep 'PARTLABEL="EFI system partition"' | sed -e 's/^UUID="//;s/".*//')
EFI_BY_DEV='by-uuid'

#Try determine by PARTLABEL=EF and UUID
if [ -z $EFI_UUID ]; then
	EFI_UUID=$(lsblk -Po UUID,PARTUUID,PARTLABEL,FSTYPE | grep vfat | grep 'PARTLABEL="EF"' | sed -e 's/^UUID="//;s/".*//')
	EFI_BY_DEV='by-uuid'
fi

#Try determine by PARTLABEL=EFI system partition and PARTUUID
if [ -z $EFI_UUID ]; then
	EFI_UUID=$(lsblk -Po UUID,PARTUUID,PARTLABEL,FSTYPE | grep vfat | grep 'PARTLABEL="EFI system partition"' | sed -e 's/.*PARTUUID="//;s/".*//')
	EFI_BY_DEV='by-partuuid'
fi

#Try determine by PARTLABEL=EF and PARTUUID
if [ -z $EFI_UUID ]; then
	EFI_UUID=$(lsblk -Po UUID,PARTUUID,PARTLABEL,FSTYPE | grep vfat | grep 'PARTLABEL="EF"' | sed -e 's/.*PARTUUID="//;s/".*//')
	EFI_BY_DEV='by-partuuid'
fi

echo "EFI UUID is $EFI_UUID" > /dev/kmsg

if [ -z $EFI_UUID ]; then
    echo "Failed determine ESP UUID for $EFI_PART" > /dev/kmsg
    exit 0
fi


mkdir -p /boot/efi
mount /dev/disk/$EFI_BY_DEV/$EFI_UUID /boot/efi

fi
